Subject: bug#58940: [PATCH] feature/tree-sitter: Add more font lock faces

From: Stefan Monnier <[email-masked]>
Date: Sun, 06 Nov 2022 20:33:18 -0500

>> I suspect that's part of the reason.  Ideally, we'd phase out those old
>> `font-lock-*-face` variables rather than introduce new ones.
>> I think the only thing they bring nowadays is confusion.
> Would it be worth it to make them obsolete?

I'd be in favor, yes.

Note that most uses are within the `<foo>-font-lock-keywords` variables
where they're invisible to the byte-compiler, so users/maintainers won't
get to see very many warnings.  Maybe we could tweak
`font-lock-compile-keywords` to emit further warnings, but that will
trigger at run-time rather than compile-time :-(

        Stefan